Bug 157434 - FEAT RHEL3 U6: Need e1000 driver Update to v.6.0.54 or higher (MUSTFIX)
Summary: FEAT RHEL3 U6: Need e1000 driver Update to v.6.0.54 or higher (MUSTFIX)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 156321
TreeView+ depends on / blocked
 
Reported: 2005-05-11 16:39 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 15:06:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Issue Tracker 2005-05-11 16:39:15 UTC
Escalated to Bugzilla from IssueTracker

Comment 7 Marty Wesley 2005-05-26 06:44:09 UTC
PM ACK for U2.

Comment 8 Marty Wesley 2005-05-26 06:47:41 UTC
PM ACK for U6

Comment 10 Ernie Petrides 2005-05-27 02:21:32 UTC
The e1000 driver upgrade to 6.0.54-k2 has just been committed to the
RHEL3 U6 patch pool this evening (in kernel version 2.4.21-32.5.EL).


Comment 14 Larry Troan 2005-06-09 01:14:08 UTC
Failed paste from Issue Tracker 71420.... Pasting manually....
-----------------------------------------------------------------
Event posted 06-08-2005 04:24pm by Bhutani 
 Send this event to Bugzilla ID:  157434  (Sent 06/08/2005 21:11) 
FAILED OPERATION: BUG NOT INITIALIZED PROPERLY.....
Pasting last comment from IT 71415...s/U2/U6

If RH has not yet made the pull for U2, it maybe a good idea to pull e1000
v.6.0.60 which was released just today on SourceForge under "e1000 stable" since
it has a dozen fixes since v.6.0.54 . 

Pasting the Changelog:
Changes:
(a) Support âidentify adapterâ feature for 82573 controller
(b) Fix ethtool register test failure with 82573 controller
(c) Add debug log information to help diagnose Tx unit in the controller hung
condition â data logged to syslog
(d) Fix ethtool to display a warning if speed/duplex is set to invalid
combinations (on fiber adapters) as well as tx_csum and advertising issues
<shemminger@osdl.org>
(e) Use netdev_priv macro instead of de-referencing the priv member of netdev
structure directly <shemminger@osdl.org>
(f) Fix WoL settings reported incorrectly for 82544 based adapters
(g) Fix synchronization issue causing the bonding driver not be reliably obtain
link status via the mii_ioctl interface
(h) Support for MODULE_VERSION <linville@tuxdriver.com>
(i) Fix flow control parameter initialization error (only on 2.6 kernels)
(j) Fixed ethtool register test failure for devices >= 82571 and loopback test
for 82571, 82572 devices
(k) Fixed the loopback test failure for 82573 based adapters.
(l) Fix endian-ness error while processing VLAN tags in e1000_clean_rx_irq_ps
(m) Included proposals to false late collisions due to latencies in the PHY
interface 

Comment 16 John W. Linville 2005-06-14 15:12:30 UTC
6.0.54-k2 has already been committed to U6...I don't see any "must haves" in 
the list from comment 14 (feel free to point them out)...I'm inclined to stay 
w/ what we have now... 

Comment 22 Terje Bless 2005-09-21 05:55:57 UTC
Provided what I'm seeing is the same issue, the bugfix listed as (g)
in Comment #14 above fixes a bug that makes one NIC in a bonding
failover pair register as permanently link down and thus prevents
NIC failover from working.

Observed on RHEL4U1, but not verified to be the same bug.

It seems likely though that the issue described in (g) will cause
problems with various bonding modes (failover and otherwise) regardless
of whether it's the same issue I've observed.

Comment 23 John W. Linville 2005-09-21 11:45:58 UTC
Too late for U6...U7 is scheduled for another update, so the (g) case should 
be solved then.  Thanks! 

Comment 29 Red Hat Bugzilla 2005-09-28 15:06:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.